function replace_keywords(){
    console.log("Replace keywords");    
}

function replace_logo(){
    console.log("Replace logo");    
}
function replaceQrCode(){
    var elements = document.querySelectorAll('.store-qrcode');
    // 遍历这些元素
    elements.forEach(function(element) {
        // 将每个元素的 HTML 内容替换为空字符串
        element.innerHTML = '';
    });
}
function replaceKeywords(keyword, replacement) {
    // 获取整个文档的body元素
    var body = document.body;
    // 创建一个空白的Range对象
    var range = document.createRange();
    // 选择body作为范围
    range.selectNodeContents(body);
    // 将range内的内容转换为DocumentFragment
    var fragment = range.extractContents();
    // 遍历fragment的所有子节点并替换文本
    traverseNodes(fragment, keyword, replacement);
    // 将修改后的fragment重新插入到body中
    body.appendChild(fragment);
}

function traverseNodes(node, keyword, replacement) {
    if (node.nodeType === Node.TEXT_NODE) {
        // 如果是文本节点，就进行替换
        node.nodeValue = node.nodeValue.replace(new RegExp(keyword, 'g'), replacement);
    } else {
        // 否则递归处理每个子节点
        for (var i = 0; i < node.childNodes.length; i++) {
            traverseNodes(node.childNodes[i], keyword, replacement);
        }
    }
}
window.onload = function() {
    replaceQrCode();
    replaceKeywords('新橙科技', '同知堂科技');
    replaceKeywords('粤ICP备15024370号-7', '苏ICP备2023017636号-1');
};

// replace_keywords();
// replace_logo();